Skip to main content
GET
/
api
/
storefront
/
collections
/
{handle}
Get Collection By Handle
curl --request GET \
  --url https://api.example.com/api/storefront/collections/{handle} \
  --header 'X-Site-ID: <x-site-id>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "title": "<string>",
  "description": "<string>",
  "handle": "<string>",
  "image_url": "<string>",
  "products_count": 123,
  "products": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "slug": "<string>",
      "description": "<string>",
      "vendor": "<string>",
      "product_type": "<string>",
      "tags": [
        "<string>"
      ],
      "price": "<string>",
      "compare_at_price": "<string>",
      "currency": "<string>",
      "images": [
        {}
      ],
      "has_variants": true,
      "options": [
        {}
      ],
      "variants": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "sku": "<string>",
          "option1": "<string>",
          "option2": "<string>",
          "option3": "<string>",
          "price": "<string>",
          "compare_at_price": "<string>",
          "available": true,
          "in_stock": true,
          "image_url": "<string>"
        }
      ],
      "in_stock": true
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.stella-commerce.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

X-Site-ID
string
required
X-Stella-Token
string | null

Path Parameters

handle
string
required

Query Parameters

page
integer
default:1
Required range: x >= 1
limit
integer
default:20
Required range: 1 <= x <= 100

Response

Successful Response

Collection with products for storefront.

id
string<uuid>
required
title
string
required
description
string | null
required
handle
string | null
required
image_url
string | null
required
products_count
integer
required
products
StorefrontProductResponse · object[]
required